/**
 * Last Modified by: $Author: rjeffers $
 * On: $Date: 2005/11/23 17:49:07 $
 */
 
package kaos.core.csi;

import kaos.core.csi.registration.Property;

import java.io.Serializable;


/**
 * Defines the operations to store and access information about a given Transport.
 *
 * @author KAoS Team
 * $Revision: 1.3 $
 */
public interface Transport
    extends Serializable
{
    /** 
     * Set the name of this Transport.
     *
     * @param name      String containing the name of the Transport. 
     */
    public void setName(String name);
   
    /**
     * Obtain the Transport name.
     *
     * @return String containing the name of the Transport. 
     */
    public String  getName();
    
    /** 
     * Set a property for this Transport. 
     *
     * @param property      Property describing this transport. 
     */
    public void setProperty(Property property);
   
    /**
     * Obtain a Property of this Transport.
     *
     * @return Property     describing this transport.
     */
    public Property  getProperty (String name);
    
}
