/**
 * Last Modified by: $Author: auszok $
 * On: $Date: 2005/12/09 13:21:27 $
 */

package kaos.core.csi.extension.classification;

import kaos.core.csi.extension.KAoSExtensionComponentManager;

import javax.agent.service.Service;

/**
 * This interface defines a factory method for obtaining InstanceClassifier for the given property.
 *
 * $Revision: 1.2 $
 */
public interface InstanceClassifierManager extends KAoSExtensionComponentManager, Service
{
    /**
     * Instantiate an InstanceClassifier for the specified property. 
     *
     * @param  ontologyAttribute        string specifying the ontology attribute, for which a component is requested
     *     
     * @return InstanceClassifier       an instance of the requested instance classifier, or null, if the manager was not
     *                                  able to find or create it
     */
    public InstanceClassifier getClassifier (String ontologyAttribute);
}
