/**
 * Last Modified by: $Author: auszok $
 * On: $Date: 2005/12/09 13:21:27 $
 */

package kaos.core.csi.extension.classification;

import kaos.core.csi.extension.KAoSExtensionComponentManagerImpl;
import kaos.core.csi.extension.KAoSExtensionsTypes;

/**
 * Class implementing functionality of the Classifier Factory
 */
public class InstanceClassifierManagerImpl extends KAoSExtensionComponentManagerImpl implements InstanceClassifierManager         
{
    /**
     * Comment for <code>serialVersionUID</code>
     */
    private static final long serialVersionUID = 135226228524253030L;

    private static InstanceClassifierManager    __INSTANCE;
    private static boolean                      __INITIALIZED = false;
    
    /**
     * Private constructor
     */
    private InstanceClassifierManagerImpl()
    {
        super(KAoSExtensionsTypes.CLASSIFIERS);
    }
    
    /**
     * Retrieve an instance of ClassifierManagement.
     *
     * @return a singleton, InstanceClassifierManager.
     */
    public static InstanceClassifierManager getInstance()
    {
        if ( __INITIALIZED ) return __INSTANCE;
        
        __INSTANCE = new InstanceClassifierManagerImpl();
        __INITIALIZED = true;
            
        return __INSTANCE;
    }
    
    /*****************************************************************************************
      kaos.ontology.matching.InstanceClassifierFactory interface implementation  - begin
    *****************************************************************************************/
     
    /**
     * @see kaos.core.csi.extension.classification.InstanceClassifierManager#getClassifier(java.lang.String)
     */
    public  InstanceClassifier getClassifier (String ontologyAttribute)
    {
        return (InstanceClassifier)getComponent(ontologyAttribute);
    }
    
    /*****************************************************************************************
      kaos.ontology.matching.InstanceClassifierFactory interface implementation  - end
    *****************************************************************************************/
}
























