/**
 * Last Modified by: $Author: auszok $
 * On: $Date: 2005/12/09 13:21:27 $
 */
package kaos.core.csi.policy.enforcement;

import kaos.core.csi.extension.KAoSExtensionComponentManagerImpl;
import kaos.core.csi.extension.KAoSExtensionsTypes;

import kaos.core.service.boot.KAoSBootstrapper;
import kaos.policy.guard.Guard;
import kaos.policy.guard.GuardInstantiationException;
import kaos.policy.guard.GuardRetriever;
import kaos.core.util.Logger;

import java.util.List;
import java.util.Vector;

/**
 * Defines the operations to check permissions, get obligations, analyze policies, etc.
 * 
 * @author KAoS Team
 * $Revision: 1.4 $
 */
public class EnforcerManagerImpl extends KAoSExtensionComponentManagerImpl implements EnforcerManager
{
    /**
     * Comment for <code>serialVersionUID</code>
     */
    private static final long serialVersionUID = -7635148275549105848L;
    
    private static EnforcerManagerImpl    __INSTANCE;
    private static boolean                __INITIALIZED = false;
        
	private Logger                        _logger = Logger.getLogger(this);
       
    /**
     * Private constructor
     */
    private EnforcerManagerImpl() 
    {
        super(KAoSExtensionsTypes.ENFORCERS);
    }
    
    /**
     * Retrieve an instance of PolicyEnforcement.
     *
     * @return a singleton, PolicyEnforcement.
     */
    public static EnforcerManager getInstance()
    {
        if ( __INITIALIZED ) return __INSTANCE;
        
        __INSTANCE = new EnforcerManagerImpl();
        __INITIALIZED = true;
            
        return __INSTANCE;
    }
    
    /*****************************************************************************************
       kaos.core.csi.policy.enforcement.EnforcerManager interface implementation - begin
    *****************************************************************************************/
    
    /**
     * @see kaos.core.csi.policy.enforcement.EnforcerManager#getEnforcer(java.lang.String)
     */
    public Enforcer getEnforcer(String ontologyAttribute) 
    {
        return (Enforcer) getComponent(ontologyAttribute);
    }  
    
    /*****************************************************************************************
       kaos.core.csi.policy.enforcement.EnforcerManager interface implementation - end
    *****************************************************************************************/
    
    /////////////////////////////   PRIVATE METHODS BEGIN
   
    protected void logMessage(String msg, int logLevel)
    {
   		if (_logger.isEnabledFor(logLevel))
   			_logger.logMessage(msg, logLevel);
    } 
}
