package kaos.ontology.vocabulary;

import kaos.ontology.util.OntologyLanguageTagSelector;

/**
 * Class generated automatically by kaos.tools.OWLOntologyJavaMapper.
 * Provides static methods to obtain URI's for the ontology concepts and properties.
 */
final public class ActionConcepts
{
	final private static String ActionOwlURL = "http://ontology.ihmc.us/Action.owl#";

    public static String ActionOwlURL() 
	{
		return OntologyLanguageTagSelector.selectLanguageForTag(ActionOwlURL); 
	}

	// Concepts
    public static final String CommunicationAction = OntologyLanguageTagSelector.selectLanguageForTag(ActionOwlURL + "CommunicationAction");
    public static final String ResponseAction = OntologyLanguageTagSelector.selectLanguageForTag(ActionOwlURL + "ResponseAction");
    public static final String AccessAction = OntologyLanguageTagSelector.selectLanguageForTag(ActionOwlURL + "AccessAction");
    public static final String ApproveAction = OntologyLanguageTagSelector.selectLanguageForTag(ActionOwlURL + "ApproveAction");
    public static final String ChangeStateAction = OntologyLanguageTagSelector.selectLanguageForTag(ActionOwlURL + "ChangeStateAction");
    public static final String Action = OntologyLanguageTagSelector.selectLanguageForTag(ActionOwlURL + "Action");
    public static final String QueryAction = OntologyLanguageTagSelector.selectLanguageForTag(ActionOwlURL + "QueryAction");
    public static final String ReceiveCommunicationAction = OntologyLanguageTagSelector.selectLanguageForTag(ActionOwlURL + "ReceiveCommunicationAction");
    public static final String ProposeAction = OntologyLanguageTagSelector.selectLanguageForTag(ActionOwlURL + "ProposeAction");
    public static final String SendCommunicationAction = OntologyLanguageTagSelector.selectLanguageForTag(ActionOwlURL + "SendCommunicationAction");
    public static final String NonEncryptedCommunicationAction = OntologyLanguageTagSelector.selectLanguageForTag(ActionOwlURL + "NonEncryptedCommunicationAction");
    public static final String StateChangeAction = OntologyLanguageTagSelector.selectLanguageForTag(ActionOwlURL + "StateChangeAction");
    public static final String MobilityAction = OntologyLanguageTagSelector.selectLanguageForTag(ActionOwlURL + "MobilityAction");
    public static final String RequestAction = OntologyLanguageTagSelector.selectLanguageForTag(ActionOwlURL + "RequestAction");
    public static final String OperationCallAction = OntologyLanguageTagSelector.selectLanguageForTag(ActionOwlURL + "OperationCallAction");
    public static final String SignedCommunicationAction = OntologyLanguageTagSelector.selectLanguageForTag(ActionOwlURL + "SignedCommunicationAction");
    public static final String ResourceAction = OntologyLanguageTagSelector.selectLanguageForTag(ActionOwlURL + "ResourceAction");
    public static final String MonitorAction = OntologyLanguageTagSelector.selectLanguageForTag(ActionOwlURL + "MonitorAction");
    public static final String NonSignedCommunicationAction = OntologyLanguageTagSelector.selectLanguageForTag(ActionOwlURL + "NonSignedCommunicationAction");
    public static final String EncryptedCommunicationAction = OntologyLanguageTagSelector.selectLanguageForTag(ActionOwlURL + "EncryptedCommunicationAction");
    public static final String Target = OntologyLanguageTagSelector.selectLanguageForTag(ActionOwlURL + "Target");

    public static String CommunicationAction() { return CommunicationAction; };
    public static String ResponseAction() { return ResponseAction; };
    public static String AccessAction() { return AccessAction; };
    public static String ApproveAction() { return ApproveAction; };
    public static String ChangeStateAction() { return ChangeStateAction; };
    public static String Action() { return Action; };
    public static String QueryAction() { return QueryAction; };
    public static String ReceiveCommunicationAction() { return ReceiveCommunicationAction; };
    public static String ProposeAction() { return ProposeAction; };
    public static String SendCommunicationAction() { return SendCommunicationAction; };
    public static String NonEncryptedCommunicationAction() { return NonEncryptedCommunicationAction; };
    public static String StateChangeAction() { return StateChangeAction; };
    public static String MobilityAction() { return MobilityAction; };
    public static String RequestAction() { return RequestAction; };
    public static String OperationCallAction() { return OperationCallAction; };
    public static String SignedCommunicationAction() { return SignedCommunicationAction; };
    public static String ResourceAction() { return ResourceAction; };
    public static String MonitorAction() { return MonitorAction; };
    public static String NonSignedCommunicationAction() { return NonSignedCommunicationAction; };
    public static String EncryptedCommunicationAction() { return EncryptedCommunicationAction; };
    public static String Target() { return Target; };

	// Properties
    public static final String calledService = OntologyLanguageTagSelector.selectLanguageForTag(ActionOwlURL + "calledService");
    public static final String performedBy = OntologyLanguageTagSelector.selectLanguageForTag(ActionOwlURL + "performedBy");
    public static final String movingTo = OntologyLanguageTagSelector.selectLanguageForTag(ActionOwlURL + "movingTo");
    public static final String hasNewState = OntologyLanguageTagSelector.selectLanguageForTag(ActionOwlURL + "hasNewState");
    public static final String hasOldState = OntologyLanguageTagSelector.selectLanguageForTag(ActionOwlURL + "hasOldState");
    public static final String hasContext = OntologyLanguageTagSelector.selectLanguageForTag(ActionOwlURL + "hasContext");
    public static final String hasObjectContext = OntologyLanguageTagSelector.selectLanguageForTag(ActionOwlURL + "hasObjectContext");
    public static final String calledOperation = OntologyLanguageTagSelector.selectLanguageForTag(ActionOwlURL + "calledOperation");
    public static final String hasDataContext = OntologyLanguageTagSelector.selectLanguageForTag(ActionOwlURL + "hasDataContext");
    public static final String hasParameter = OntologyLanguageTagSelector.selectLanguageForTag(ActionOwlURL + "hasParameter");
    public static final String accessedEntity = OntologyLanguageTagSelector.selectLanguageForTag(ActionOwlURL + "accessedEntity");
    public static final String hasSource = OntologyLanguageTagSelector.selectLanguageForTag(ActionOwlURL + "hasSource");
    public static final String hasDestination = OntologyLanguageTagSelector.selectLanguageForTag(ActionOwlURL + "hasDestination");
    public static final String carriesMessage = OntologyLanguageTagSelector.selectLanguageForTag(ActionOwlURL + "carriesMessage");
    public static final String hasBeginTime = OntologyLanguageTagSelector.selectLanguageForTag(ActionOwlURL + "hasBeginTime");
    public static final String replyTo = OntologyLanguageTagSelector.selectLanguageForTag(ActionOwlURL + "replyTo");
    public static final String performedOn = OntologyLanguageTagSelector.selectLanguageForTag(ActionOwlURL + "performedOn");
    public static final String hasPartner = OntologyLanguageTagSelector.selectLanguageForTag(ActionOwlURL + "hasPartner");

    public static String calledService() { return calledService; };
    public static String performedBy() { return performedBy; };
    public static String movingTo() { return movingTo; };
    public static String hasNewState() { return hasNewState; };
    public static String hasOldState() { return hasOldState; };
    public static String hasContext() { return hasContext; };
    public static String hasObjectContext() { return hasObjectContext; };
    public static String calledOperation() { return calledOperation; };
    public static String hasDataContext() { return hasDataContext; };
    public static String hasParameter() { return hasParameter; };
    public static String accessedEntity() { return accessedEntity; };
    public static String hasSource() { return hasSource; };
    public static String hasDestination() { return hasDestination; };
    public static String carriesMessage() { return carriesMessage; };
    public static String hasBeginTime() { return hasBeginTime; };
    public static String replyTo() { return replyTo; };
    public static String performedOn() { return performedOn; };
    public static String hasPartner() { return hasPartner; };

	// Instances

}
