package kaos.ontology.vocabulary;

import kaos.ontology.util.OntologyLanguageTagSelector;

/**
 * Class generated automatically by kaos.tools.OWLOntologyJavaMapper.
 * Provides static methods to obtain URI's for the ontology concepts and properties.
 */
final public class PolicyConcepts
{
	final private static String PolicyOwlURL = "http://ontology.ihmc.us/Policy.owl#";

    public static String PolicyOwlURL() 
	{
		return OntologyLanguageTagSelector.selectLanguageForTag(PolicyOwlURL); 
	}

	// Concepts
    public static final String FinishBeforeRefActionStart = OntologyLanguageTagSelector.selectLanguageForTag(PolicyOwlURL + "FinishBeforeRefActionStart");
    public static final String PolicySet = OntologyLanguageTagSelector.selectLanguageForTag(PolicyOwlURL + "PolicySet");
    public static final String FinishBeforeRefActionEnd = OntologyLanguageTagSelector.selectLanguageForTag(PolicyOwlURL + "FinishBeforeRefActionEnd");
    public static final String NegAuthorizationPolicy = OntologyLanguageTagSelector.selectLanguageForTag(PolicyOwlURL + "NegAuthorizationPolicy");
    public static final String NegObligationPolicy = OntologyLanguageTagSelector.selectLanguageForTag(PolicyOwlURL + "NegObligationPolicy");
    public static final String StartAfterRefActionEnd = OntologyLanguageTagSelector.selectLanguageForTag(PolicyOwlURL + "StartAfterRefActionEnd");
    public static final String ObligationPolicy = OntologyLanguageTagSelector.selectLanguageForTag(PolicyOwlURL + "ObligationPolicy");
    public static final String FinishWithSuccess = OntologyLanguageTagSelector.selectLanguageForTag(PolicyOwlURL + "FinishWithSuccess");
    public static final String PosAuthorizationPolicy = OntologyLanguageTagSelector.selectLanguageForTag(PolicyOwlURL + "PosAuthorizationPolicy");
    public static final String SiteOfEnforcement = OntologyLanguageTagSelector.selectLanguageForTag(PolicyOwlURL + "SiteOfEnforcement");
    public static final String StartBeforeRefActionEnd = OntologyLanguageTagSelector.selectLanguageForTag(PolicyOwlURL + "StartBeforeRefActionEnd");
    public static final String StartBeforeRefActionStart = OntologyLanguageTagSelector.selectLanguageForTag(PolicyOwlURL + "StartBeforeRefActionStart");
    public static final String ConflictedPolicies = OntologyLanguageTagSelector.selectLanguageForTag(PolicyOwlURL + "ConflictedPolicies");
    public static final String Policy = OntologyLanguageTagSelector.selectLanguageForTag(PolicyOwlURL + "Policy");
    public static final String ApplicabilityConditions = OntologyLanguageTagSelector.selectLanguageForTag(PolicyOwlURL + "ApplicabilityConditions");
    public static final String AuthorizationPolicy = OntologyLanguageTagSelector.selectLanguageForTag(PolicyOwlURL + "AuthorizationPolicy");
    public static final String PosObligationPolicy = OntologyLanguageTagSelector.selectLanguageForTag(PolicyOwlURL + "PosObligationPolicy");
    public static final String ObligationConstraint = OntologyLanguageTagSelector.selectLanguageForTag(PolicyOwlURL + "ObligationConstraint");

    public static String FinishBeforeRefActionStart() { return FinishBeforeRefActionStart; };
    public static String PolicySet() { return PolicySet; };
    public static String FinishBeforeRefActionEnd() { return FinishBeforeRefActionEnd; };
    public static String NegAuthorizationPolicy() { return NegAuthorizationPolicy; };
    public static String NegObligationPolicy() { return NegObligationPolicy; };
    public static String StartAfterRefActionEnd() { return StartAfterRefActionEnd; };
    public static String ObligationPolicy() { return ObligationPolicy; };
    public static String FinishWithSuccess() { return FinishWithSuccess; };
    public static String PosAuthorizationPolicy() { return PosAuthorizationPolicy; };
    public static String SiteOfEnforcement() { return SiteOfEnforcement; };
    public static String StartBeforeRefActionEnd() { return StartBeforeRefActionEnd; };
    public static String StartBeforeRefActionStart() { return StartBeforeRefActionStart; };
    public static String ConflictedPolicies() { return ConflictedPolicies; };
    public static String Policy() { return Policy; };
    public static String ApplicabilityConditions() { return ApplicabilityConditions; };
    public static String AuthorizationPolicy() { return AuthorizationPolicy; };
    public static String PosObligationPolicy() { return PosObligationPolicy; };
    public static String ObligationConstraint() { return ObligationConstraint; };

	// Properties
    public static final String trigger = OntologyLanguageTagSelector.selectLanguageForTag(PolicyOwlURL + "trigger");
    public static final String hasObligationFinishDeadline = OntologyLanguageTagSelector.selectLanguageForTag(PolicyOwlURL + "hasObligationFinishDeadline");
    public static final String hasSiteOfEnforcement = OntologyLanguageTagSelector.selectLanguageForTag(PolicyOwlURL + "hasSiteOfEnforcement");
    public static final String requiresConditions = OntologyLanguageTagSelector.selectLanguageForTag(PolicyOwlURL + "requiresConditions");
    public static final String hasObligationConstraint = OntologyLanguageTagSelector.selectLanguageForTag(PolicyOwlURL + "hasObligationConstraint");
    public static final String hasObligationStartDeadline = OntologyLanguageTagSelector.selectLanguageForTag(PolicyOwlURL + "hasObligationStartDeadline");
    public static final String hasTestForSuccess = OntologyLanguageTagSelector.selectLanguageForTag(PolicyOwlURL + "hasTestForSuccess");
    public static final String controls = OntologyLanguageTagSelector.selectLanguageForTag(PolicyOwlURL + "controls");
    public static final String hasAdditionalPolicyIfObligationFailure = OntologyLanguageTagSelector.selectLanguageForTag(PolicyOwlURL + "hasAdditionalPolicyIfObligationFailure");
    public static final String hasAdditionAuthorizationForThePeriodOfObligation = OntologyLanguageTagSelector.selectLanguageForTag(PolicyOwlURL + "hasAdditionAuthorizationForThePeriodOfObligation");
    public static final String oblige = OntologyLanguageTagSelector.selectLanguageForTag(PolicyOwlURL + "oblige");
    public static final String hasPriority = OntologyLanguageTagSelector.selectLanguageForTag(PolicyOwlURL + "hasPriority");

    public static String trigger() { return trigger; };
    public static String hasObligationFinishDeadline() { return hasObligationFinishDeadline; };
    public static String hasSiteOfEnforcement() { return hasSiteOfEnforcement; };
    public static String requiresConditions() { return requiresConditions; };
    public static String hasObligationConstraint() { return hasObligationConstraint; };
    public static String hasObligationStartDeadline() { return hasObligationStartDeadline; };
    public static String hasTestForSuccess() { return hasTestForSuccess; };
    public static String controls() { return controls; };
    public static String hasAdditionalPolicyIfObligationFailure() { return hasAdditionalPolicyIfObligationFailure; };
    public static String hasAdditionAuthorizationForThePeriodOfObligation() { return hasAdditionAuthorizationForThePeriodOfObligation; };
    public static String oblige() { return oblige; };
    public static String hasPriority() { return hasPriority; };

	// Instances
    public static final String AnySite = OntologyLanguageTagSelector.selectLanguageForTag(PolicyOwlURL + "AnySite");
    public static final String ActorSite = OntologyLanguageTagSelector.selectLanguageForTag(PolicyOwlURL + "ActorSite");
    public static final String TargetSite = OntologyLanguageTagSelector.selectLanguageForTag(PolicyOwlURL + "TargetSite");

    public static String AnySite() { return AnySite; };
    public static String ActorSite() { return ActorSite; };
    public static String TargetSite() { return TargetSite; };
}
