/**
 * Last Modified by: $Author: skulkarni $
 * On: $Date: 2004/07/03 20:33:19 $
 */

package kaos.ontology.vocabulary;

public class PolicyConstants
{

	// Modalities
	final public static String _posAuthorization = "PosAuthorizationPolicy";
	final public static String _negAuthorization = "NegAuthorizationPolicy";
	final public static String _posObligation = "PosObligationPolicy";
	final public static String _negObligation = "NegObligationPolicy";
	final public static String[] _modalityTypes = {_posAuthorization,
													_negAuthorization,
													_posObligation,
													_negObligation};										

	final public static String[] _modalityExten = {"::|PosAuthorizationPolicy|",
													"::|NegAuthorizationPolicy|",
													"::|PosObligationPolicy|",
													"::|NegObligationPolicy|"};

	// Type Labels
	final public static String _policyClassName = "coginst_PolicyClassName";
	final public static String _policyInstanceName = "coginst_PolicyInstanceName";
	
	final public static String _actionClassName = "coginst_ActionClassName";
	final public static String _actorClassName = "coginst_ActorClassName";	
	final public static String _targetClassName = "coginst_TargetClassName";
	
	final public static String _classRestriction = "coginst_Class";
	final public static String _instanceRestriction = "coginst_Instance";
	final public static String _cardinalityRestriction = "coginst_Cardinality";
	
	final public static String _actorRestriction = "coginst_ActorRestriction";
	final public static String _targetRestriction = "coginst_TargetRestriction";
	
	final public static String _classComplement = "coginst_ClassComplement";

	final public static String _toClassRestriction = "coginst_ToClassRestriction";
	
	final public static String _hasClassRestriction = "coginst_HasClassRestriction";
	
	final public static String _immediateBaseClass = "coginst_ImmediateBaseClass";
	
	final public static String _siteOfEnforcementAnySite = "#AnySite";
	
	final public static String _conditionClassName = "coginst_ConditionClassName";

}